JNA API 3.3.0

## com.sun.jna.ptr
Class IntByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.ptr.IntByReference

All Implemented Interfaces:
  NativeMapped

    public class IntByReference

extends ByReference

Constructor Summary
`IntByReference()`
`IntByReference(int value)`

Method Summary
`int` | `getValue()`
`void` | `setValue(int value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntByReference

    public IntByReference()

### IntByReference

    public IntByReference(int value)

Method Detail

### setValue

    public void setValue(int value)

### getValue

    public int getValue()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.